{{- if .Values.rbac.create }}
kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  labels:
    app: {{ template "nfs-client-provisioner.name" . }}
    chart: {{ template "nfs-client-provisioner.chart" . }}
    heritage: {{ .Release.Service }}
    release: {{ .Release.Name }}
  name: leader-locking-{{ template "nfs-client-provisioner.fullname" . }}
rules:
  - apiGroups: [""]
    resources: ["endpoints"]
    verbs: ["get", "list", "watch", "create", "update", "patch"]
{{- if .Values.podSecurityPolicy.enabled }}
  - apiGroups:      ['extensions']
    resources:      ['podsecuritypolicies']
    verbs:          ['use']
    resourceNames:  [{{ template "nfs-client-provisioner.fullname" . }}]
{{- end }}
{{- end }}
